Skip to main content
`Ctrl`+`K`

# PetscDualSpaceLagrangeGetNodeType

Get a description of how nodes are laid out for Lagrange polynomials in this dual space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeGetNodeType(PetscDualSpace sp, PeOp PetscDTNodeType *nodeType, PeOp PetscBool *boundary, PeOp PetscReal *exponent)

Not Collective

## Input Parameter

- sp - The `PetscDualSpace`

## Output Parameters

- nodeType - The type of nodes

- boundary - Whether the node type is one that includes endpoints (if nodeType is `PETSCDTNODES_GAUSSJACOBI`, nodes that include the boundary are Gauss-Lobatto-Jacobi nodes)

- exponent - If nodeType is `PETSCDTNODES_GAUSSJACOBI`, indicates the exponent used for both ends of the 1D Jacobi weight function ‘0’ is Gauss-Legendre, ‘-0.5’ is Gauss-Chebyshev of the first type, ‘0.5’ is Gauss-Chebyshev of the second type

## See Also

`PETSCDUALSPACELAGRANGE`, `PetscDualSpace`, `PetscDTNodeType`, `PetscDualSpaceLagrangeSetNodeType()`

## Level

advanced

## Location

src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

## Implementations

PetscDualSpaceLagrangeGetNodeType_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceLagrangeGetNodeType_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages